Package oracle.dbtools.plugin.api.http.annotations

## Enum FramePolicy

- java.lang.Object
- - java.lang.Enum<FramePolicy>
  - - oracle.dbtools.plugin.api.http.annotations.FramePolicy

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<FramePolicy>`

      public enum FramePolicy
      extends java.lang.Enum<FramePolicy>

  Defines how this resource wishes to restrict user-agents from framing the resource in a <frame> or <iframe> via the `X-Frame-Options` header.
  Author:
    cdivilly

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ALLOW` | Allow any origin to frame the resource
    `DENY` | Do not permit any origin to frame the resource
    `INHERIT` | Use the default value from the enclosing element
    `SAME_ORIGIN` | Only permit resources on the same origin as this resource to frame it.

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static FramePolicy` | `DEFAULT` | Default `FramePolicy`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static FramePolicy` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static FramePolicy[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ALLOW

          public static final FramePolicy ALLOW

      Allow any origin to frame the resource

    - #### DENY

          public static final FramePolicy DENY

      Do not permit any origin to frame the resource

    - #### SAME_ORIGIN

          public static final FramePolicy SAME_ORIGIN

      Only permit resources on the same origin as this resource to frame it.

    - #### INHERIT

          public static final FramePolicy INHERIT

      Use the default value from the enclosing element

  - ### Field Detail

    - #### DEFAULT

          public static final FramePolicy DEFAULT

      Default `FramePolicy`

  - ### Method Detail

    - #### values

          public static FramePolicy[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FramePolicy c : FramePolicy.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FramePolicy valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null